#!/bin/sh
if [ -n $1 ]
then
INSTALLDIR=/opt/Canon
else
INSTALLDIR=$1
fi
SANECONFDIR=/etc/sane.d
UDEVRULESDIR=/etc/udev/rules.d
MODELCONF=DRC240.conf

if [ -e $INSTALLDIR/etc/sane.d/canondr/$MODELCONF ]
then
	rm -f $INSTALLDIR/etc/sane.d/canondr/$MODELCONF
fi
cp -f ./$MODELCONF $INSTALLDIR/etc/sane.d/canondr/$MODELCONF

if [ -e $INSTALLDIR/etc/sane.d/canondr.conf ]
then
	(if grep -q "\sDRC240$" $INSTALLDIR/etc/sane.d/canondr.conf;then :;  \
	else cat canondr.conf >> $INSTALLDIR/etc/sane.d/canondr.conf; fi)
else
	cp -f ./canondr.conf $INSTALLDIR/etc/sane.d/canondr.conf
	ln -sf $INSTALLDIR/etc/sane.d/canondr.conf $SANECONFDIR/
	
	CONFILE=$SANECONFDIR/dll.conf
	if [ -n "`grep '#[[:space:]]*canondr' $CONFILE`" ];then
   	sed -i 's,#[[:space:]]*\(canondr\),\1,' $CONFILE
	elif [ -z "`grep canondr $CONFILE`" ];then
    	echo canondr >> $CONFILE
	fi
	
fi

if [ -e $UDEVRULESDIR/80-cndrvsane.rules ]
then
	(if grep -q "^\/\/DRC240$" $UDEVRULESDIR/80-cndrvsane.rules;then :;  \
	else cp -f ./80-cndrvsane.rules $UDEVRULESDIR/80-cndrvsane.rules; fi)
else
	cp -f ./80-cndrvsane.rules $UDEVRULESDIR/80-cndrvsane.rules
fi


